
Packaging - Bug #21188

rpm for foreman-plugin "foreman_datacenter"

10/04/2017 04:50 AM - Denis Müller

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: RPMs   

Target version:    

Difficulty: medium Fixed in Releases:  

Triaged: No Found in Releases: 1.5.3

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/2336

  

Description

It would we great if we can get this plugin as an rpm-package, can somebody build it?

Or maybe somebody can give me a hint how i can build it by myself?

History

#1 - 10/04/2017 05:03 AM - Ewoud Kohl van Wijngaarden

I recall talking about this back at cfgmgmtcamp.

https://github.com/theforeman/foreman-packaging/blob/rpm/develop/README.md#howto-create-a-new-core-package-or-dependency-gems

describes the process pretty well. If you're stuck, it might be easier to just submit a PR with [WIP] in the title, describe how far you've gotten and

where you are stuck.

#2 - 10/04/2017 05:13 AM - Denis Müller

Ewoud Kohl van Wijngaarden wrote:

I recall talking about this back at cfgmgmtcamp.

https://github.com/theforeman/foreman-packaging/blob/rpm/develop/README.md#howto-create-a-new-core-package-or-dependency-gems

describes the process pretty well. If you're stuck, it might be easier to just submit a PR with [WIP] in the title, describe how far you've gotten and

where you are stuck.

 There is already a gem for "datacenter-plugin", but the "foreman-documentation" does not recommend to install plugins via gems: 

https://theforeman.org/plugins/.

#3 - 10/04/2017 05:17 AM - Ewoud Kohl van Wijngaarden

Denis Müller wrote:

There is already a gem for "datacenter-plugin", but the "foreman-documentation" does not recommend to install plugins via gems: 

https://theforeman.org/plugins/.

 We do use them as the basis in the packaging of RPMs so it's good the gem is on rubygems. A lot of the packaging works uses that. Also feel free to

join #theforeman-dev on freenode if you have questions.

#4 - 04/05/2018 03:22 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-packaging/pull/2336 added

#5 - 11/08/2019 07:57 PM - Jakob Ackermann

Any updates on this?

#6 - 02/12/2020 08:29 PM - Eric Helms
- Status changed from Ready For Testing to Closed
